<?php
/**
 * DouPHP
 * --------------------------------------------------------------------------------------------------
 * 版权所有 2013-2025 漳州豆壳网络科技有限公司，并保留所有权利。
 * 网站地址: http://www.douphp.com
 * --------------------------------------------------------------------------------------------------
 * 这不是一个自由软件！您只能在遵守授权协议前提下对程序代码进行修改和使用；不允许对程序代码以任何形式任何目的的再发布。
 * 授权协议: http://www.douphp.com/license.html
 * --------------------------------------------------------------------------------------------------
 * Author: DouCo Co.,Ltd.
 * Release Date: 2025-01-02
 */
define('IN_DOUCO', true);

$_CUR = 'user';
require (dirname(__FILE__) . '/include/init.php');
$smarty->assign('cur', $_CUR);
$smarty->assign('submenu', 'vip');

// rec操作项的初始化
$rec = $check->is_rec($_REQUEST['rec']) ? $_REQUEST['rec'] : 'default';

// 会员模块
include_once (ROOT_PATH . 'include/user.class.php');
$dou_user = new DouUser();

// 赋值给模板
$smarty->assign('rec', $rec);
$smarty->assign('link_user_center', $dou_user->link_user_center('vip', 'admin'));

/**
 * +----------------------------------------------------------
 * VIP开通记录
 * +----------------------------------------------------------
 */
if ($rec == 'default') {
    $smarty->assign('ur_here', $_LANG['vip_log']);
    $smarty->assign('action_link', array (
            'text' => $_LANG['vip_package'],
            'href' => 'vip_package.php' 
    ));
    
    // 初始化
    $page_url = 'vip.php';
 
    // 用户名
    $username = $check->is_username($_REQUEST['username']) ? $_REQUEST['username'] : '';
    if ($username) {
        $user_id = $dou->search_user_id($username);
        $where = " AND user_id = '$user_id'";
        $page_url = $page_url . "&username=$username";
    }

    // 筛选.时间
    $time_end = isset($_REQUEST['time_end']) ? trim($_REQUEST['time_end']) : '';
    $time_start = isset($_REQUEST['time_start']) ? trim($_REQUEST['time_start']) : '';
    if ($time_start) {
        $where = $where . " AND add_time > '" . strtotime($time_start) . "'";
        $page_url = $page_url . "&time_start=$time_start";
    }
    if ($time_end) {
        $where = $where . " AND add_time < '" . strtotime($time_end) . "'";
        $page_url = $page_url . "&time_end=$time_end";
    }
 
    // 格式化
    $where = $_SESSION['where'] = $dou->where($where);
    $page_url = $dou->param($page_url);
 
    // 未加入分页条件的SQL语句
    $sql = "SELECT * FROM " . $dou->table('vip') . $where . " ORDER BY id DESC";
    
    // 分页
    $page = $check->is_number($_REQUEST['page']) ? $_REQUEST['page'] : 1;
    $limit = $dou->pager($sql, 15, $page, $page_url);
    
    $sql = $sql . $limit; // 加入分页条件的SQL语句
    $query = $dou->query($sql);
    while ($row = $dou->fetch_array($query)) {
        $vip_log_list[] = array (
                "id" => $row['id'],
                "user" => $dou->user_basic($row['user_id']),
                "package" => $dou->get_row('vip_package', '*', "id = '$row[package_id]'"),
                "price" => $dou->price_format($row['price']),
                "start_time" => date("Y-m-d", $row['start_time']),
                "end_time" => date("Y-m-d", $row['end_time']),
                "order_sn" => $row['order_sn'],
                "ip" => $row['ip'],
                "status" => $dou->data_lang_format('order_status_', $row['order_status']),
                "add_time" => date("Y-m-d", $row['add_time'])
        );
    }
    
    // 赋值给模板
    $smarty->assign('req', $_REQUEST);
    $smarty->assign('vip_log_list', $vip_log_list);
    
    $smarty->display('vip.htm');
}

/**
 * +----------------------------------------------------------
 * 记录删除
 * +----------------------------------------------------------
 */
elseif ($rec == 'del') {
    // 验证并获取合法的ID
    $id = $check->is_number($_REQUEST['id']) ? $_REQUEST['id'] : $dou->dou_msg($_LANG['illegal'], 'vip.php');
 
    // 获取购买信息
    $vip = $dou->get_row('vip', '*', "id = '$id'");
    $user = $dou->user_basic($vip['user_id']);
    $package = $dou->get_row('vip_package', 'name, day, price', "id = '$vip[id]'");
    
    if (isset($_POST['confirm'])) {
        $dou->create_admin_log($_LANG['vip_del'] . ': ' . $user['username'] . '-' . $package['name']);
        $dou->delete('vip', "id = '$id'", 'vip.php');
    } else {
        $_LANG['del_check'] = preg_replace('/d%/Ums', $user['username'] . '-' . $package['name'], $_LANG['del_check']);
        $dou->dou_msg($_LANG['del_check'], 'vip.php', '', '30', "vip.php?rec=del&id=$id");
    }
} 

/**
 * +----------------------------------------------------------
 * 批量操作选择
 * +----------------------------------------------------------
 */
elseif ($rec == 'action') {
    if (is_array($_POST['checkbox'])) {
        if ($_POST['action'] == 'del_all') {
            $dou->del_all('vip', $_POST['checkbox'], 'id');
        } else {
            $dou->dou_msg($_LANG['select_empty']);
        }
    } else {
        $dou->dou_msg($_LANG['select_empty']);
    }
}

?>