// pages/vip/vip.js
// 获取全局的应用实例
const app = getApp();

// 引入utils全局函数
var dou = require('../../utils/util.js');

Page({
  data: {
    package_list: [],
    current: 0,
    duration: 500, // 滑动动画时长
  },
 
  onShow: function () {
    var that = this;
    
    // 判断是否登录
    dou.checkLoginState()
  },
 
  onLoad: function(options) {
    var that = this
    
    wx.setNavigationBarTitle({
      title: app.title.vip
    })
   
    // 设置转发标题缓存
    wx.setStorageSync('shareTitle', app.title.vip_list)
    
    // 显示转发按钮
    dou.showShareMenu()
   
    wx.request({
      url: app.mp_url + 'databox.php?rec=common',
      success: function(res) {
        that.setData({
          lang: res.data.lang,
          site: res.data.site
        })
      },
    })
   
    wx.request({
      url: app.mp_url + 'vip.php',
      data: {
        user_id: wx.getStorageSync('user_id'),
        shell: wx.getStorageSync('shell')
      },
      header: {
        'Connect-Key' : wx.getStorageSync('connect_key')
      },
      success: function(res) {
        that.setData({
          package_list: res.data.package_list,
          content_field: res.data.content_field,
          package: res.data.package_list[that.data.current]
        })
      }
    })
  },
 
  // 防止swiper卡顿
  swiperbindchange: function(e) {
    var that = this;
    
    if (e.detail.source == "touch" || e.detail.source == "autoplay") {
      this.setData({
        current: e.detail.current
      })
      
      //防止swiper控件卡死
      if (this.data.current == 0 && this.data.rightcurrent > 1) { //卡死时，重置current为正确索引
        this.setData({
          current: this.data.rightcurrent
        });
      } else { //正常轮转时，记录正确页码索引
        this.setData({
          rightcurrent: this.data.current
        });
      }
     
      that.setData({
        package: that.data.package_list[e.detail.current]
      })
    }
  },
 
  addToCart: function (e) {
    var that = this

    // 未登录时重新载入当前页面
    dou.checkLoginState('action', '/pages/user/user')
    
    wx.request({
    url: app.mp_url + 'order.php?rec=insert',
    data: {
      user_id: wx.getStorageSync('user_id'),
      shell: wx.getStorageSync('shell'),
      module: e.currentTarget.dataset.module,
      item_id: e.currentTarget.dataset.item_id
    },
    method:'POST',
    header: {
      'Connect-Key' : wx.getStorageSync('connect_key'),
      'Content-Type': 'application/x-www-form-urlencoded'
    },
    success: function (res) {
      if (res.data.wrong) {
        dou.douMsg(res.data.wrong)
      } else {
        wx.navigateTo({
          url: '/pages/order/checkout'
        })
      }
    }
   })
  },
 
  buyVip: function (e) {
    var that = this
    
    // 未登录时重新载入当前页面
    dou.checkLoginState('action', '/pages/user/user')
   
    wx.request({
      url: app.mp_url + 'vip.php?rec=buy',
      data: {
        user_id: wx.getStorageSync('user_id'),
        shell: wx.getStorageSync('shell'),
        id: e.currentTarget.dataset.id
      },
      method:'POST',
      header: {
        'Connect-Key' : wx.getStorageSync('connect_key'),
        'Content-Type': 'application/x-www-form-urlencoded'
      },
      success: function (res) {
        if (res.data.wrong) {
          dou.douMsg(res.data.wrong, res.data.jump_link)
        } else if (res.data.cashier_url) {
          wx.navigateTo({
            url: res.data.cashier_url
          })
        }
      }
    })
  },
 
  // 非tabBar的页面，可以带参数
  douNavigateTo: function(e) {
    var url = e.currentTarget.dataset.url;
    wx.navigateTo({
      url: url
    })
  }

})