<?php
/**
 * DouPHP
 * --------------------------------------------------------------------------------------------------
 * 版权所有 2013-2025 漳州豆壳网络科技有限公司，并保留所有权利。
 * 网站地址: http://www.douphp.com
 * --------------------------------------------------------------------------------------------------
 * 这不是一个自由软件！您只能在遵守授权协议前提下对程序代码进行修改和使用；不允许对程序代码以任何形式任何目的的再发布。
 * 授权协议: http://www.douphp.com/license.html
 * --------------------------------------------------------------------------------------------------
 * Author: DouCo Co.,Ltd.
 * Release Date: 2025-01-02
 */
define('IN_DOUCO', true);

$sub = 'user';
$subbox = array(
        "module" => 'vip',
        "sub" => $sub
);

$_CUR = 'vip';
require (dirname(__FILE__) . '/include/init.php');

// 引入和实例化订单功能
include_once (ROOT_PATH . 'include/order.class.php');
$dou_order = new Order();

// rec操作项的初始化
$rec = $check->is_rec($_REQUEST['rec']) ? $_REQUEST['rec'] : 'default';

// 权限验证
$callback = $dou_user->check_login_state(); // 登录验证
if ($callback['msg'] == 'ok') {
    $user_id = $callback['user_id'];
} else {
    $data['wrong'] = $_LANG['login_timeout'];
    die(json_encode($data));
}

// 错误提示初始
$data['wrong'] = '';

/**
 * +----------------------------------------------------------
 * VIP会员申请页
 * +----------------------------------------------------------
 */
if ($rec == 'default') {
    $sql = "SELECT * FROM " . $dou->table('vip_package') . " ORDER BY sort ASC, id DESC";
    
    $query = $dou->query($sql);
    while ($row = $dou->fetch_array($query)) {
        $package_list[] = array (
                "id" => $row['id'],
                "name" => $row['name'],
                "day" => $row['day'],
                "brief" => $row['brief'],
                "original_price" => $row['original_price'] > 0 ? $dou->price_format($row['original_price']) : '',
                "price" => $row['price'] > 0 ? $dou->price_format($row['price']) : '',
                "color" => $row['color'],
                "content" => explode("\r\n", $row['content']),
                "image" => $dou->dou_file($row['image'])
        );
    }
    
    // 数据封装
    $data['sql'] = $sql;
    $data['title'] = $_LANG['vip'];
    $data['package_list'] = $package_list;
    $data['content_field'] = vip_package_content();
}

/**
 * +----------------------------------------------------------
 * VIP购买
 * +----------------------------------------------------------
 */
elseif ($rec == 'buy') {
    // 获取ID
    $id = $check->is_number($_REQUEST['id']) ? trim($_REQUEST['id']) : '';
 
    // 存在未付款订单，跳转到未付款订单
    $order_history = $dou->get_row('vip', '*', "user_id = '$user_id' AND order_status = '0'");
    if ($order_history) {
        $data['wrong'] = $_LANG['vip_exist_nopay_order'];
        $data['jump_link'] = $dou->rewrite_url_miniprogram('user', 'order') . '?order_sn=' . $order_history['order_sn'];
        die(json_encode($data));
    }
    
    // VIP套餐
    $package = $dou->get_row('vip_package', 'id, name, day, price, image', "id = '$id'");
 
    // 会员信息
    $user = $dou->get_row('user', 'telphone, contact, phone, address, postcode', "user_id = '$user_id'");
    
    // 订单信息插入
    $module = 'vip';
    $item_amount = $package['price']; // 商品金额
    $point = $package['price']; // 购买获得积分
    $item_id = $package['id']; // 没有项目ID，默认为1
    $item_name = $_LANG[$module] . '-' . $package['name']; // 项目名称
    $order_amount = $item_amount; // 订单总金额
    $order_sn = $dou_order->create_order_sn();
    $add_time = $time = time();
    $phone = $user['telphone'] ? $user['telphone'] : $user['phone'];
    $item_link_status = 1; // 付款后VIP套餐购买状态标记为1
    
    // html安全过滤器
    $_POST = $firewall->dou_foreground($_POST);
    
    // 订单信息插入
    $sql = "INSERT INTO " . $dou->table('order') . " (order_id, order_sn, user_id, module, phone, contact, address, postcode, item_amount, order_amount, item_link_status, add_time)" . " VALUES (NULL, '$order_sn', '$user_id', '$module', '$phone', '$user[contact]', '$user[address]', '$user[postcode]', '$item_amount', '$order_amount', '$item_link_status', '$add_time')";
    
    // 如果订单生成成功
    if ($dou->query($sql)) {
        // 订单商品插入
        $order_id = $dou->insert_id();
        $sale_price = $dou->sale_price('vip_package', $id, '', 'promote_price', 'id'); // 会员等级价格
        
        $dou->query("INSERT INTO " . $dou->table('order_item') . " (id, user_id, order_id, module, item_id, name, price, sale_price, sale_price_type, item_number)" . " VALUES (NULL, '$user_id', '$order_id', '$module', '$item_id', '$item_name', '$item_amount', '$sale_price[value]', '$sale_price[type]', '1')");
        
        // 服务卡信息
        $vip_log = $dou->get_row('vip', 'start_time, end_time', "user_id = '$user_id' AND status = '1' ORDER BY id DESC");
        
        $start_time = $vip_log['end_time'] && $vip_log['end_time'] > $time ? $vip_log['end_time'] : $time;
        $end_time = strtotime('+' . $package['day'] . ' day', $start_time);
        $ip = $dou->get_ip();
        
        // VIP购买记录
        $dou->query("INSERT INTO " . $dou->table('vip') . " (id, user_id, id, order_sn, price, sale_price, sale_price_type, start_time, end_time, image, ip, add_time)" . " VALUES (NULL, '$user_id', '$package[id]', '$order_sn', '$package[price]', '$sale_price[value]', '$sale_price[type]', '$start_time', '$end_time', '$package[image]', '$ip', '$add_time')");
    }
    
    // 显示订单信息
    $order['order_sn'] = $order_sn;
    $order['order_amount'] = $order_amount;
    $order['order_amount_format'] = $dou->price_format($order_amount);

    // 如果设置了支付方式，则跳转到收银台
    if ($dou->value_exist('plugin', 'plugin_group', 'payment')) {
        $cashier_url = $dou->rewrite_url_miniprogram('order', 'cashier') . '?order_sn=' . $order_sn;
    }
 
    // 数据封装
    $data['cashier_url'] = $cashier_url;
} 

/**
 * +----------------------------------------------------------
 * 会员中心
 * +----------------------------------------------------------
 */
elseif ($rec == 'user') {
    // 未加入分页条件的SQL语句
    $sql = "SELECT * FROM " . $dou->table('vip') . " WHERE user_id = '$user_id' ORDER BY id DESC";
    
    // 获取分页信息
    $page = $check->is_number($_REQUEST['page']) ? trim($_REQUEST['page']) : 1;
    $limit = $dou->pager($sql, 10, $page);
    
    $sql = $sql . $limit; // 加入分页条件的SQL语句
    $query = $dou->query($sql);
    while ($row = $dou->fetch_array($query)) {
        $log_list[] = array (
                "id" => $row['id'],
                "user" => $dou->user_basic($row['user_id']),
                "package" => $dou->get_row('vip_package', 'name, day, price', "id = '$row[id]'"),
                "price" => $dou->price_format($row['price']),
                "start_time" => date("Y-m-d", $row['start_time']),
                "end_time" => date("Y-m-d", $row['end_time']),
                "order_sn" => $row['order_sn'],
                "order_link" => $dou->rewrite_url_miniprogram('user', 'order') . '?order_sn=' . $row['order_sn'],
                "ip" => $row['ip'],
                "status" => $dou->data_lang_format('order_status_', $row['order_status']),
                "add_time" => date("Y-m-d", $row['add_time'])
        );
    }
 
    // 数据封装
    $data['title'] = $_LANG['vip_log'];
    $data['log_list'] = $log_list;
}

echo json_encode($data);

/**
 * +----------------------------------------------------------
 * VIP会员套餐简介字段格式化
 * +----------------------------------------------------------
 */
function vip_package_content() {
    return explode(',', $GLOBALS['_PARAM']['vip_package_content']);
}

?>