<?php
/**
 * DouPHP
 * --------------------------------------------------------------------------------------------------
 * 版权所有 2013-2025 漳州豆壳网络科技有限公司，并保留所有权利。
 * 网站地址: http://www.douphp.com
 * --------------------------------------------------------------------------------------------------
 * 这不是一个自由软件！您只能在遵守授权协议前提下对程序代码进行修改和使用；不允许对程序代码以任何形式任何目的的再发布。
 * 授权协议: http://www.douphp.com/license.html
 * --------------------------------------------------------------------------------------------------
 * Author: DouCo Co.,Ltd.
 * Release Date: 2025-01-02
 */
define('IN_DOUCO', true);

$sub = 'success|user|detail';
$subbox = array(
        "module" => 'vip',
        "sub" => $sub
);

if (!defined('REWRITE')) {
    $_CUR = 'vip';
    require (dirname(__FILE__) . '/include/init.php');
}
$smarty->assign('cur', $_CUR);
$smarty->assign('url', $_URL = $dou->dou_sub_url($subbox));

// 引入和实例化订单功能
include_once (ROOT_PATH . 'include/order.class.php');
$dou_order = new Order();

// rec操作项的初始化
$rec = $check->is_rec($_REQUEST['rec']) ? $_REQUEST['rec'] : 'default';

if (!$_OPEN['user'])
    $dou->dou_msg($_LANG['dh_no_install_user'], ROOT_URL);

// 需要登录且没有登录的情况
if (!is_array($_GLOBAL_USER))
    $dou->dou_header($_URL['login']);

// 赋值给模板-meta和title信息
$smarty->assign('keywords', $_CFG['site_keywords']);
$smarty->assign('description', $_CFG['site_description']);

// 赋值给模板-导航栏
$smarty->assign('nav_top_list', $dou->get_nav('top'));
$smarty->assign('nav_middle_list', $dou->get_nav('middle', 0, 'vip', 0));
$smarty->assign('nav_bottom_list', $dou->get_nav('bottom'));

// 赋值给模板-数据
$smarty->assign('rec', $rec);
$smarty->assign('link_user_center', $dou_user->link_user_center($_CUR));
$smarty->assign('if_connect_plugin', $dou->value_exist('plugin', 'plugin_group', 'connect'));

/**
 * +----------------------------------------------------------
 * VIP会员申请页
 * +----------------------------------------------------------
 */
if ($rec == 'default') {
    $sql = "SELECT * FROM " . $dou->table('vip_package') . " ORDER BY sort ASC, id DESC";
    $query = $dou->query($sql);
    while ($row = $dou->fetch_array($query)) {
        $package_list[] = array (
                "id" => $row['id'],
                "name" => $row['name'],
                "day" => $row['day'],
                "price" => $row['price'] > 0 ? $dou->price_format($row['price']) : '',
                "content" => explode("\r\n", $row['content']),
                "image" => $dou->dou_file($row['image'])
        );
    }
    
    // CSRF防御令牌生成
    $smarty->assign('token', $firewall->set_token('order_checkout'));

    // 赋值给模板-meta和title信息
    $smarty->assign('page_title', $dou->page_title('vip'));
    
    // 赋值给模板-数据
    $smarty->assign('action', $action);
    $smarty->assign('ur_here', $dou->ur_here('vip'));
    $smarty->assign('head', $_LANG['vip']);
    $smarty->assign('package_list', $package_list);
    $smarty->assign('content_field', vip_package_content());
    
    $smarty->display('vip.dwt');
}

/**
 * +----------------------------------------------------------
 * 详情
 * +----------------------------------------------------------
 */
elseif ($rec == 'detail') {
    $dou->dou_header($_URL['vip']);
}

/**
 * +----------------------------------------------------------
 * 会员中心
 * +----------------------------------------------------------
 */
elseif ($rec == 'user') {
    // 需要登录且没有登录的情况
    if (!is_array($_GLOBAL_USER))
        $dou->dou_header($_URL['login']);

    // 未加入分页条件的SQL语句
    $sql = "SELECT * FROM " . $dou->table('vip') . " WHERE user_id = '$_GLOBAL_USER[user_id]' ORDER BY id DESC";
    
    // 分页
    $page = $check->is_number($_REQUEST['page']) ? $_REQUEST['page'] : 1;
    $limit = $dou->pager($sql, 15, $page, $_URL['sub']['user']);
    
    $sql = $sql . $limit; // 加入分页条件的SQL语句
    $query = $dou->query($sql);
    while ($row = $dou->fetch_array($query)) {
        $vip_log[] = array (
                "id" => $row['id'],
                "user" => $dou->user_basic($row['user_id']),
                "package" => $dou->get_row('vip_package', 'name, day, price', "id = '$row[package_id]'"),
                "price" => $dou->price_format($row['price']),
                "start_time" => date("Y-m-d", $row['start_time']),
                "end_time" => date("Y-m-d", $row['end_time']),
                "order_sn" => $row['order_sn'],
                "order_link" => $dou->param($_URL['order'] . '&order_sn=' . $row['order_sn']),
                "ip" => $row['ip'],
                "status" => $dou->data_lang_format('order_status_', $row['order_status']),
                "add_time" => date("Y-m-d", $row['add_time'])
        );
    }

    // 赋值给模板
    $smarty->assign('page_title', $dou->page_title('user', 'vip_log'));
    $smarty->assign('ur_here', $dou->ur_here('user', 'vip_log'));
    $smarty->assign('head', $_LANG['vip_log']);
    $smarty->assign('vip_log', $vip_log);

    $smarty->display('vip_user.dwt');
}

/**
 * +----------------------------------------------------------
 * VIP会员套餐简介字段格式化
 * +----------------------------------------------------------
 */
function vip_package_content() {
    return explode(',', $GLOBALS['_PARAM']['vip_package_content']);
}

?>